clang 8.0.0

Public Types | Public Member Functions | Static Public Member Functions | List of all members
clang::ento::PointerToMemberData Class Reference

`#include "clang/StaticAnalyzer/Core/PathSensitive/BasicValueFactory.h"`

Inheritance diagram for clang::ento::PointerToMemberData:
[legend]
Collaboration diagram for clang::ento::PointerToMemberData:
[legend]

## Public Types
using | iterator = llvm::ImmutableList< const CXXBaseSpecifier * >::iterator

## Public Member Functions
| PointerToMemberData (const DeclaratorDecl *D, llvm::ImmutableList< const CXXBaseSpecifier *> L)
iterator | begin () const
iterator | end () const
void | Profile (llvm::FoldingSetNodeID &ID)
const DeclaratorDecl * | getDeclaratorDecl () const
llvm::ImmutableList< const CXXBaseSpecifier * > | getCXXBaseList () const

## Static Public Member Functions
static void | Profile (llvm::FoldingSetNodeID &ID, const DeclaratorDecl *D, llvm::ImmutableList< const CXXBaseSpecifier *> L)

## Detailed Description

Definition at line 82 of file BasicValueFactory.h.

## Member Typedef Documentation

## ◆ iterator

using clang::ento::PointerToMemberData::iterator = llvm::ImmutableList<const CXXBaseSpecifier *>::iterator

Definition at line 91 of file BasicValueFactory.h.

## Constructor & Destructor Documentation

## ◆ PointerToMemberData()

clang::ento::PointerToMemberData::PointerToMemberData | ( | const DeclaratorDecl * | D,
|  | llvm::ImmutableList< const CXXBaseSpecifier *> | L
| ) |  |
| inline

Definition at line 87 of file BasicValueFactory.h.

## Member Function Documentation

## ◆ begin()

iterator clang::ento::PointerToMemberData::begin | ( |  | ) | const
| inline

Definition at line 93 of file BasicValueFactory.h.

## ◆ end()

iterator clang::ento::PointerToMemberData::end | ( |  | ) | const
| inline

Definition at line 94 of file BasicValueFactory.h.

References clang::ento::CompoundValData::Profile().

## ◆ getCXXBaseList()

llvm::ImmutableList<const CXXBaseSpecifier *> clang::ento::PointerToMemberData::getCXXBaseList | ( |  | ) | const
| inline

Definition at line 102 of file BasicValueFactory.h.

Referenced by clang::ento::BasicValueFactory::accumCXXBase().

## ◆ getDeclaratorDecl()

const DeclaratorDecl* clang::ento::PointerToMemberData::getDeclaratorDecl | ( |  | ) | const
| inline

Definition at line 100 of file BasicValueFactory.h.

Referenced by clang::ento::BasicValueFactory::accumCXXBase().

## ◆ Profile() [1/2]

static void clang::ento::PointerToMemberData::Profile | ( | llvm::FoldingSetNodeID & | ID,
|  | const DeclaratorDecl * | D,
|  | llvm::ImmutableList< const CXXBaseSpecifier *> | L
| ) |  |
| static

Referenced by clang::ento::BasicValueFactory::getPointerToMemberData(), and clang::ento::LazyCompoundValData::Profile().

## ◆ Profile() [2/2]

void clang::ento::PointerToMemberData::Profile | ( | llvm::FoldingSetNodeID & | ID | ) |
| inline

Definition at line 99 of file BasicValueFactory.h.

References Profile().

Referenced by Profile().

The documentation for this class was generated from the following file:

- include/clang/StaticAnalyzer/Core/PathSensitive/BasicValueFactory.h